Bug 252284 - www/owncloud: Build fails in package phase when EXAMPLES OPTION is unset with pkg 1.16 or later
Summary: www/owncloud: Build fails in package phase when EXAMPLES OPTION is unset with...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-30 14:11 UTC by John W. O'Brien
Modified: 2021-01-30 12:36 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
www/owncloud: Fix build without EXAMPLES (1.52 KB, patch)
2020-12-30 14:11 UTC, John W. O'Brien
john: maintainer-approval? (sunpoet)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John W. O'Brien 2020-12-30 14:11:22 UTC
Created attachment 221103 [details]
www/owncloud: Fix build without EXAMPLES

Synopsis
========

When the EXAMPLES option is unset, the newsyslog file is not staged and therefore cannot be packaged by the "@sample" line in pkg-plist. Prior to pkg 1.16, this was not a fatal error.


Log samples
===========

2020-12-17
pkg 1.15.10

=======================<phase: package        >============================
===>  Building package for owncloud-php74-10.5.0
pkg-static: Unable to access file /wrkdirs/usr/ports/www/owncloud/work-php74/stage/usr/local/share/examples/owncloud/newsyslog:No such file or directory
===========================================================================


2020-12-26
pkg 1.16.0

=======================<phase: package        >============================
===>  Building package for owncloud-php74-10.6.0
pkg-static: Unable to access file /wrkdirs/usr/ports/www/owncloud/work-php74/stage/usr/local/share/examples/owncloud/newsyslog:No such file or directory
pkg-static: Fail to apply keyword 'sample'
*** Error code 1

Stop.


Changelog
=========

*   Exclude newsyslog sample unless EXAMPLES
*   While here, pet portlint (7-bit ASCII clean) and bump PORTREVISION


QA
==

portlint: OK
poudriere: OK -- bulk on 12.2R amd64 with and without EXAMPLES
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2021-01-30 12:36:40 UTC
Committed. Thanks!
Comment 2 commit-hook freebsd_committer 2021-01-30 12:36:50 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Jan 30 12:36:12 UTC 2021
New revision: 563396
URL: https://svnweb.freebsd.org/changeset/ports/563396

Log:
  Fix packaging when EXAMPLES disabled

  - Update pkg-descr: convert UTF-8 to ASCII

  PR:		252284
  Submitted by:	John W. O'Brien <john@saltant.com>

Changes:
  head/www/owncloud/pkg-descr
  head/www/owncloud/pkg-plist